PDA

View Full Version : OpenGL 3.2 to 4.3



blabz2007
10-08-2013, 02:42 PM
Hi all!

I recently updated my OpenGL v3.2 to 4.3. I'm using the fixed function calls as well as shaders to implement SSAO and FXAA.

While everything worked properly with v3.2 Compatibility profile things don't seem to be working with v4.3 (Core I believe).

Is there a way to force the context to use Compatibility Profile? Or force use of OpenGl v3.2?

Thanks
-BlaBZ

Dark Photon
10-08-2013, 07:08 PM
Is there a way to force the context to use Compatibility Profile? Or force use of OpenGl v3.2?

The default context creation call allocates a compatibility profile context (e.g. glXCreateContext()).

And yeah, with the advanced context create calls (e.g. glXCreateContextAttribsARB), you can specify which context version, whether core or compatibility, whether you want a debug context, forward compatible Y/N, etc.